<template>
    <b-card no-body>
        <b-card-header class="border-0">
          <h3 class="mb-0">Milestone Listing For : ( TRTP-2398 - Tengeh Reservoir Tender Project )</h3>
          <br>
          <base-input label="To Change Project"
              name="Project Developer">
            <select class="form-control">
              <option Selected disabled>-- Please Select A Project --</option>
              <option>TRTP-2398 - Tengeh Reservoir Tender Project</option>
              <option>MNTP-8650 - Menara TM Project</option>
              <option>SGLP-3564 - Sunway Geo Lake Project</option>
              <option>PCWM-1132 - PJ Causeway Mall Project</option>
            </select>
          </base-input>
        </b-card-header>

        <el-table class="table-responsive table-flush"
                  header-row-class-name="thead-light"
                  :data="milestones">
            <el-table-column label="Milestone"
                             min-width="120px"
                             prop="name"
                             sortable>
                <template v-slot="{row}">
                    <b-media no-body class="align-items-center">
                        <b-media-body>
                            <span class="font-weight-600 name mb-0 text-sm">{{row.milestoneName}}</span>
                        </b-media-body>
                    </b-media>
                </template>
            </el-table-column>

            <el-table-column label="Information"
                             min-width="380px"
                             prop="name"
                             sortable>
                <template v-slot="{row}">
                    <b-media no-body class="align-items-center">
                        <b-media-body>
                            <span class="font-weight-600 name mb-0 text-sm">{{row.milestoneInfo}}</span>
                        </b-media-body>
                    </b-media>
                </template>
            </el-table-column>

            <el-table-column label="Status"
                             min-width="120px"
                             prop="status"
                             sortable>
                <template v-slot="{row}">
                    <badge class="badge-dot mr-4" type="">
                        <i :class="`bg-${row.statusType}`"></i>
                        <span class="status">{{row.status}}</span>
                    </badge>
                </template>
            </el-table-column>

            <el-table-column label="Created By" min-width="120px">
                <template v-slot="{row}">
                    <b-media no-body class="align-items-center">
                        <b-media-body>
                            <span class="font-weight-600 name mb-0 text-sm">{{row.createdBy}}</span>
                        </b-media-body>
                    </b-media>
                </template>
            </el-table-column>

            <el-table-column label="Created Date"
                             prop="completion"
                             min-width="140px"
                             sortable>
                <template v-slot="{row}">
                    <div class="d-flex align-items-center">
                        <span class="completion mr-2">{{row.createdDate}}</span>
                    </div>
                </template>
            </el-table-column>

            <el-table-column label="Action" min-width="100px">
               <template v-slot="">
                    <div class="d-flex align-items-center">
                        <div>
                          <router-link to="/milestoneEdit">
                            <base-button size="sm" type="primary">Edit</base-button>
                          </router-link>
                        </div>
                    </div>
                </template>
            </el-table-column>
        </el-table>

        <b-card-footer class="py-4 d-flex justify-content-end">
            <base-pagination v-model="currentPage" :per-page="10" :total="50"></base-pagination>
        </b-card-footer>
    </b-card>
</template>

<script>
  import milestones from './milestones'
  import { Table, TableColumn, DropdownMenu, DropdownItem, Dropdown} from 'element-ui'
  import {homeLink} from '@/assets/js/config.js'

  export default {
    name: 'milestone-table',
    components: {
      [Table.name]: Table,
      [TableColumn.name]: TableColumn,
      [Dropdown.name]: Dropdown,
      [DropdownItem.name]: DropdownItem,
      [DropdownMenu.name]: DropdownMenu,
    },
    data() {
      return {
        milestones,
        currentPage: 1,
        img1: homeLink+'/img/theme/team-1.jpg',
      };
    }
  }
</script>
